GDB (xrefs)

Public Attributes | List of all members
pending Struct Reference

`#include "buildsym.h"`

## Public Attributes
struct pending * | next
int | nsyms
struct symbol * | symbol [PENDINGSIZE]

## Detailed Description

Definition at line 101 of file buildsym.h.

## Member Data Documentation

## ◆ next

struct pending* pending::next

Definition at line 103 of file buildsym.h.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), add_symbol_to_list(), cleanup_undefined_types_1(), coff_read_enum_type(), common_block_end(), dict_add_pending(), dict_create_hashed(), dict_create_linear(), find_symbol_in_list(), finish_block_internal(), fix_common_block(), fixup_go_packaging(), read_enum_type(), read_type(), set_missing_symtab(), and scoped_free_pendings::~scoped_free_pendings().

## ◆ nsyms

int pending::nsyms

Definition at line 104 of file buildsym.h.

Referenced by add_symbol_to_list(), cleanup_undefined_types_1(), coff_read_enum_type(), common_block_end(), common_block_start(), define_symbol(), dict_add_pending(), dict_create_hashed(), dict_create_linear(), find_symbol_in_list(), fix_common_block(), fixup_go_packaging(), read_enum_type(), read_type(), and set_missing_symtab().

## ◆ symbol

struct symbol* pending::symbol[PENDINGSIZE]

Definition at line 105 of file buildsym.h.

Referenced by cleanup_undefined_types_1(), coff_read_enum_type(), common_block_end(), define_symbol(), dict_add_pending(), dict_create_hashed(), dict_create_linear(), find_symbol_in_list(), fix_common_block(), fixup_go_packaging(), read_enum_type(), read_type(), and set_missing_symtab().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/buildsym.h